MailcrateDocs
Organization

Get a workspace

GET
/public/organization/workspaces/{id}

Requires the workspaces:read scope.

Authorization

OrganizationApiKey
headerAuthorization<token>

Api-Key mco_... — an organization management key.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
name*string
type*string
Value in"production""sandbox"
sendingStatus*string
Value in"active""paused"
sendingPausedReason*|
Value in"bounce-rate""complaint-rate""manual""organization"
sendingPausedAt*string|null
postalAddress*|null
icon*string|null
color*string|null
created*string
Example Request
curl -X GET 'https://api.mailcrate.io/public/organization/workspaces/string' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "name": "string",  "type": "production",  "sendingStatus": "active",  "sendingPausedReason": "bounce-rate",  "sendingPausedAt": "string",  "postalAddress": {},  "icon": "string",  "color": "string",  "created": "string"}